about summary refs log tree commit diff
path: root/tests/export-graph.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/export-graph.sh')
-rw-r--r--tests/export-graph.sh21
1 files changed, 19 insertions, 2 deletions
diff --git a/tests/export-graph.sh b/tests/export-graph.sh
index f31bc75abfdd..5cba57f99663 100644
--- a/tests/export-graph.sh
+++ b/tests/export-graph.sh
@@ -3,7 +3,24 @@ source common.sh
 clearStore
 clearProfiles
 
-outPath=$($nixbuild ./export-graph.nix)
+checkRef() {
+    nix-store -q --references ./result | grep -q "$1" || fail "missing reference $1"
+}
+
+# Test the export of the runtime dependency graph.
+
+outPath=$($nixbuild ./export-graph.nix -A runtimeGraph)
 
 test $(nix-store -q --references ./result | wc -l) = 2 || fail "bad nr of references"
-nix-store -q --references ./result | grep -q input-2 || fail "missing reference"
+
+checkRef input-2
+for i in $(cat $outPath); do checkRef $i; done
+
+# Test the export of the build-time dependency graph.
+
+outPath=$($nixbuild ./export-graph.nix -A buildGraph)
+
+checkRef input-1
+checkRef input-2
+
+for i in $(cat $outPath); do checkRef $i; done